JsonSchema
Date: 2016-12-04

com.fasterxml.jackson.databind.jsonschema

## Class JsonSchema

- java.lang.Object
- - com.fasterxml.jackson.databind.jsonschema.JsonSchema

- Deprecated.
  Since 2.2, we recommend use of external JSON Schema generator module

      @Deprecated
      public class JsonSchema
      extends java.lang.Object

  Container for a logical JSON Schema instance. Internally schema data is stored as a JSON Tree (instance of `JsonNode` is the root of schema document)
  See Also:
    JSON Schema

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonSchema(ObjectNode schema)` Deprecated. Main constructor for schema instances.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)` Deprecated.
    `static JsonNode` | `getDefaultSchemaNode()` Deprecated. Get the default schema node.
    `ObjectNode` | `getSchemaNode()` Deprecated. Method for accessing root JSON object of the contained schema.
    `int` | `hashCode()` Deprecated.
    `java.lang.String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonSchema

          public JsonSchema(ObjectNode schema)

      Deprecated.
      Main constructor for schema instances.

      This is the creator constructor used by Jackson itself when deserializing instances. It is so-called delegating creator, meaning that its argument will be bound by Jackson before constructor gets called.

  - ### Method Detail

    - #### getSchemaNode

          public ObjectNode getSchemaNode()

      Deprecated.
      Method for accessing root JSON object of the contained schema.

      Note: this method is specified with `JsonValue` annotation to represent serialization to use; same as if explicitly serializing returned object.

      Returns:
        Root node of the schema tree

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Deprecated.
      Overrides:
        `equals` in class `java.lang.Object`

    - #### getDefaultSchemaNode

          public static JsonNode getDefaultSchemaNode()

      Deprecated.
      Get the default schema node.
      Returns:
        The default schema node.